summaryrefslogtreecommitdiff
path: root/qa/1022
diff options
context:
space:
mode:
Diffstat (limited to 'qa/1022')
-rwxr-xr-xqa/102231
1 files changed, 31 insertions, 0 deletions
diff --git a/qa/1022 b/qa/1022
new file mode 100755
index 0000000..b0d72c1
--- /dev/null
+++ b/qa/1022
@@ -0,0 +1,31 @@
+#!/bin/sh
+# PCP QA Test No. 1022
+# -S and -T values that are _both_ before the start, or after the end
+# of an archive ...
+#
+seq=`basename $0`
+echo "QA output created by $seq"
+. ./common.qt
+
+which pmdumptext >/dev/null 2>&1 || _notrun "pmdumptext not installed"
+
+status=0 # success is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+#
+# Performance metrics from host rattle
+# commencing Sat May 17 21:22:42.025 1997
+# ending Mon May 19 10:22:42.021 1997
+
+# -S and -T before the start of the archive
+#
+pmdumptext -z -S '@Sat May 10 01:00:00 1997' -T '@Sat May 10 01:00:00 1997' -a archives/rattle irix.kernel.all.load
+
+# -S and -T after the end of the archive
+#
+echo
+pmdumptext -z -S '@Sat May 24 01:00:00 1997' -T '@Sat May 24 01:00:00 1997' -a archives/rattle irix.kernel.all.load
+
+# success, all done
+exit